// Include file for PIC16F767 hardware AUSART
// RS-232: 8-bit transfer, 1 startbit, 1 stopbit, no parity, no flow control

#include "16F767_ausart.h"

void SendSerial(int8 data)
{
   while(!TRMT); // Be sure the previous transmission has ended
   TXREG = data;
}

void SetupAUSART()
{
   // General for AUSART
   SPBRG = 25; // Setup baud rate generator: 19200; Actual baud rate: 19231; Baud rate error: 0,16%
   BRGH = 1;   // Setup baud rate generator

   SYNC = 0;   // Set AUSART Mode to asynchronous
   SPEN = 1;   // Enable the serial port
//   RCIE = 1;   // Enable receive interrupt

   // Transmit
   // Make pin 17 TX output for the AUSART (do this in main TRIS setup)
//   TXEN = 1;   // Enable the transmission

   // Receive
   // Make pin 18 RX input for the AUSART (do this in main TRIS setup)
   CREN = 1;   // Enable the reception
}
