// Include file for PIC18F2550 hardware EUSART

#byte TXSTA = 0x98    // TRANSMIT STATUS AND CONTROL REGISTER
#bit CSRC   = TXSTA.7 // Clock Source Select bit
#bit TX9    = TXSTA.6 // 9-bit Transmit Enable bit
#bit TXEN   = TXSTA.5 // Transmit Enable bit
#bit SYNC   = TXSTA.4 // AUSART Mode Select bit
// Bit 3    = Unimplemented: Read as '0'
#bit BRGH   = TXSTA.2 // High Baud Rate Select bit
#bit TRMT   = TXSTA.1 // Transmit Shift Register Status bit
#bit TX9D   = TXSTA.0 // 9th bit of Transmit Data, can be Parity bit

#byte RCSTA = 0x18    // RECEIVE STATUS AND CONTROL REGISTER
#bit SPEN   = RCSTA.7 // Serial Port Enable bit
#bit RX9    = RCSTA.6 // 9-bit Receive Enable bit
#bit SREN   = RCSTA.5 // Single Receive Enable bit
#bit CREN   = RCSTA.4 // Continuous Receive Enable bit
#bit ADDEN  = RCSTA.3 // Address Detect Enable bit
#bit FERR   = RCSTA.2 // Framing Error bit
#bit OERR   = RCSTA.1 // Overrun Error bit
#bit RX9D   = RCSTA.0 // 9th bit of Received Data

#byte SPBRG = 0x99

#byte TXREG = 0x19
#byte RCREG = 0x1A
