#include "7-segment_LED_display.h"

/*
7-segment Common Anode (VDD)
    ______
   |  a   |
  f|      |b
   |______|
   |  g   |
  e|      |c
   |______| o
      d     dp

   g f F a b
   | | | | |

   | | | | |
   e d F c dp
*/

// Functions

// Segment 1
#define Seg1_0() ON(a1);  ON(b1);  ON(c1);  ON(d1);  ON(e1);  ON(f1);  OFF(g1);
#define Seg1_1() OFF(a1); ON(b1);  ON(c1);  OFF(d1); OFF(e1); OFF(f1); OFF(g1);
#define Seg1_2() ON(a1);  ON(b1);  OFF(c1); ON(d1);  ON(e1);  OFF(f1); ON(g1);
#define Seg1_3() ON(a1);  ON(b1);  ON(c1);  ON(d1);  OFF(e1); OFF(f1); ON(g1);
#define Seg1_4() OFF(a1); ON(b1);  ON(c1);  OFF(d1); OFF(e1); ON(f1);  ON(g1);
#define Seg1_5() ON(a1);  OFF(b1); ON(c1);  ON(d1);  OFF(e1); ON(f1);  ON(g1);
#define Seg1_6() ON(a1);  OFF(b1); ON(c1);  ON(d1);  ON(e1);  ON(f1);  ON(g1);
#define Seg1_7() ON(a1);  ON(b1);  ON(c1);  OFF(d1); OFF(e1); OFF(f1); OFF(g1);
#define Seg1_8() ON(a1);  ON(b1);  ON(c1);  ON(d1);  ON(e1);  ON(f1);  ON(g1);
#define Seg1_9() ON(a1);  ON(b1);  ON(c1);  ON(d1);  OFF(e1); ON(f1);  ON(g1);
#define Seg1_Clear() OFF(a1); OFF(b1); OFF(c1); OFF(d1); OFF(e1); OFF(f1); OFF(g1);
#define Seg1_E() ON(a1);  OFF(b1); OFF(c1); ON(d1) ; ON(e1); ON(f1); ON(g1);

// Segment 2
#define Seg2_0() ON(a2);  ON(b2);  ON(c2);  ON(d2);  ON(e2);  ON(f2);  OFF(g2);
#define Seg2_1() OFF(a2); ON(b2);  ON(c2);  OFF(d2); OFF(e2); OFF(f2); OFF(g2);
#define Seg2_2() ON(a2);  ON(b2);  OFF(c2); ON(d2);  ON(e2);  OFF(f2); ON(g2);
#define Seg2_3() ON(a2);  ON(b2);  ON(c2);  ON(d2);  OFF(e2); OFF(f2); ON(g2);
#define Seg2_4() OFF(a2); ON(b2);  ON(c2);  OFF(d2); OFF(e2); ON(f2);  ON(g2);
#define Seg2_5() ON(a2);  OFF(b2); ON(c2);  ON(d2);  OFF(e2); ON(f2);  ON(g2);
#define Seg2_6() ON(a2);  OFF(b2); ON(c2);  ON(d2);  ON(e2);  ON(f2);  ON(g2);
#define Seg2_7() ON(a2);  ON(b2);  ON(c2);  OFF(d2); OFF(e2); OFF(f2); OFF(g2);
#define Seg2_8() ON(a2);  ON(b2);  ON(c2);  ON(d2);  ON(e2);  ON(f2);  ON(g2);
#define Seg2_9() ON(a2);  ON(b2);  ON(c2);  ON(d2);  OFF(e2); ON(f2);  ON(g2);
#define Seg2_Clear() OFF(a2); OFF(b2); OFF(c2); OFF(d2); OFF(e2); OFF(f2); OFF(g2);
#define Seg2_E() ON(a2);  OFF(b2); OFF(c2); ON(d2) ; ON(e2); ON(f2); ON(g2);

void WriteToDisp(Seg1, Seg2)
{
   switch (Seg1)
   {
      case 0: Seg1_0(); break;
      case 1: Seg1_1(); break;
      case 2: Seg1_2(); break;
      case 3: Seg1_3(); break;
      case 4: Seg1_4(); break;
      case 5: Seg1_5(); break;
      case 6: Seg1_6(); break;
      case 7: Seg1_7(); break;
      case 8: Seg1_8(); break;
      case 9: Seg1_9(); break;
      case 10: Seg1_Clear(); break;
   }

   switch (Seg2)
   {
      case 0: Seg2_0(); break;
      case 1: Seg2_1(); break;
      case 2: Seg2_2(); break;
      case 3: Seg2_3(); break;
      case 4: Seg2_4(); break;
      case 5: Seg2_5(); break;
      case 6: Seg2_6(); break;
      case 7: Seg2_7(); break;
      case 8: Seg2_8(); break;
      case 9: Seg2_9(); break;
      case 10: Seg2_Clear(); break;
   }
}
