// Edit pin definitions to match PIC type and board layout

/*
7-segment Common Anode (VDD)
    ______
   |  a   |
  f|      |b
   |______|
   |  g   |
  e|      |c
   |______| o
      d     dp

   g f F a b
   | | | | |

   | | | | |
   e d F c dp
*/

#define ON(x) output_low(x)
#define OFF(x) output_high(x)

// Define pins:

// Segment 1 (rightmost display)
#define a1 PIN_C4
#define b1 PIN_C5
#define c1 PIN_B0
#define d1 PIN_B1
#define e1 PIN_B3
#define f1 PIN_B2
#define g1 PIN_B4

// Segment 2 (leftmost display)
#define a2 PIN_A6
#define b2 PIN_A5
#define c2 PIN_A7
#define d2 PIN_C0
#define e2 PIN_C1
#define f2 PIN_C3
#define g2 PIN_C2

/*
Unused pins:
PIN_A0
PIN_A1
PIN_A2
PIN_A3
PIN_A4
PIN_B5
PIN_B6
PIN_B7
PIN_E3 (MCLR)
*/
